Update an asset license
curl --request PATCH \
--url https://api.lynkwell.com/asset-management/v1/assets/{assetId}/license \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"license": {
"externalId": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"assignedAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/assets/{assetId}/license"
payload = { "license": {
"externalId": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"assignedAt": "2023-11-07T05:31:56Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
license: {
externalId: '<string>',
expirationDate: '2023-11-07T05:31:56Z',
assignedAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.lynkwell.com/asset-management/v1/assets/{assetId}/license', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "chargingStation",
"network": {
"id": "<string>"
},
"sitePartners": [
{
"id": "<string>"
}
],
"assetGroup": {
"id": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"chargingStation": {
"serialNumber": "<string>",
"name": "<string>",
"rate": "<string>",
"status": "PLANNED",
"connectors": [
{
"id": 123,
"isActive": true,
"connectionType": "CHADEMO",
"format": "CABLE",
"maxAmperage": 1,
"maxVoltage": 1,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"localAuthorization": false,
"geoLocation": {
"longitude": 0,
"latitude": 0
},
"powerType": "AC_1_PHASE",
"authMethods": {
"rfid": {
"enabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"mobileApp": {
"enabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"autoCharge": {
"enabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"freeVend": {
"enabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"paymentTerminal": {
"enabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"protocol": "OCPP_1_6",
"images": [
{
"url": "<string>",
"category": "<string>",
"imgType": "<string>",
"thumbnail": "<string>"
}
],
"manufacturingInfo": {
"chargePointVendor": "<string>",
"chargePointModel": "<string>",
"chargePointSerialNumber": "<string>",
"chargeBoxSerialNumber": "<string>",
"firwareVersion": "<string>",
"imsi": "<string>",
"meterType": "<string>",
"meterSerialNumber": "<string>"
},
"sortOrder": 123,
"directionHint": "<string>",
"simInfo": {
"iccid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fleet": "<string>"
},
"supportsSimultaneousCharging": true,
"accessibleParkingForTrailers": true,
"paymentTerminal": {
"id": "<string>",
"serialNumber": "<string>",
"provider": "PAYTER",
"integrationType": "CLOUD",
"authorizationIdTag": "<string>",
"preAuthAmount": 123,
"status": "PENDING",
"errorCode": "<string>",
"operatingSiteHostId": "<string>"
},
"shortCode": "<string>",
"license": {
"externalId": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"assignedAt": "2023-11-07T05:31:56Z"
}
},
"archivedAt": "2023-11-07T05:31:56Z"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Assets
Update an asset license
This endpoint assigns/updates the license of an existing asset by its ID. If the license is set to null, the asset will be unlicensed.
PATCH
/
asset-management
/
v1
/
assets
/
{assetId}
/
license
Update an asset license
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the asset for the license to be updated
Body
application/json
Show child attributes
Show child attributes
Response
Success. Returns the asset updated with the license.
Show child attributes
Show child attributes